# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		lockrun
Summary:	Ensures that another instance of the same command is not already running
Version:	1.1.3
Release:	alt1_5
Group:		Development/C
License:	Public Domain
Url:		http://www.unixwiz.net/tools/lockrun.html
Source0:	lockrun-%{version}.tar.xz
Source44: import.info

%description
Lockrun serves as a protective wrapper around a given command, ensuring
that another instance of the same command is not already running.
It is especially useful for cron jobs which may occasionally overrun
the time slot.

%prep
%setup -q

%build
gcc %{optflags} lockrun.c  -o lockrun

%install
install -d %{buildroot}%{_bindir}
install -D %{name} %{buildroot}%{_bindir}

%files
%doc README LICENSE
%{_bindir}/%{name}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.1.3-alt1_5
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_2
- new version

